PKGCTL-VERSION-UPGRADE(1)

NUME
pkgctl-version-upgrade - ajustează PKGBUILD pentru a se potrivi cu cea mai recentă versiune „upstream” (a dezvoltatorilor principali)

SINOPSIS

pkgctl version upgrade [OPȚIUNI] [BAZĂ_PACHET...]

DESCRIERE

Simplifică procesul de menținere a fișierelor PKGBUILD actualizate cu cele mai recente versiuni „upstream”.

La execuție, aceasta ajustează automat fișierul PKGBUILD, asigurându-se că valoarea câmpului pkgver este definită pentru a corespunde celei mai recente versiuni disponibile din sursa din amonte. Pe lângă actualizarea pkgver, această comandă readuce și pkgrel la 1 și actualizează sumele de control.

Afișează un rezumat al pachetelor înnoite, al pachetelor actualizate și al oricăror eșecuri de verificare.

Acest lucru simplifică întreținerea fișierelor PKGBUILD, reducând efortul manual necesar pentru urmărirea și implementarea modificărilor de versiune din sursele din amonte.

CONFIGURARE

Utilizează nvchecker(1) și un fișier .nvchecker.toml situat lângă PKGBUILD. Consultați secțiunea de configurare din pkgctl-version(1).

OPȚIUNI

--no-update-checksums
    Dezactivează calcularea și actualizarea sumelor de control

-v, --verbose
    Afișează rezultatele, inclusiv versiunile actualizate

-h, --help
    Afișează mesajul de ajutor

CONSULTAȚI ȘI

pkgctl-version(1) nvchecker(1)

PAGINA WEB PRINCIPALĂ

Vă rugăm să raportați erorile și solicitările de caracteristici în sistemul de urmărire a problemelor. Vă rugăm să faceți tot posibilul pentru a furniza un caz de testare reproductibil pentru erori.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.